## linux-meta-hwe-6.11 6.11.0-29.29~24.04.1trisquel7

=== debian/changelog ===
linux-meta-hwe-6.11 (6.11.0-29.29~24.04.1trisquel7) ecne; urgency=medium

  * Removed linux-firmware dependency, renamed release for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 02 Jul 2025 07:50:18 +0000
